diff --git a/kresources/blogging/API_Blogger.cpp b/kresources/blogging/API_Blogger.cpp
index c5e3c4a62..5cdeec257 100644
--- a/kresources/blogging/API_Blogger.cpp
+++ b/kresources/blogging/API_Blogger.cpp
@@ -299,8 +299,8 @@ bool APIBlogger::readPostingFromMap( BlogPosting *post, const TQMap<TQString, TQ
     TQString titleTagOpen = mTemplate.titleTagOpen();
     TQString titleTagClose = mTemplate.titleTagClose();
 
-    int catStart = contents.tqfind( catTagOpen, 0, false ) + catTagOpen.length();
-    int catEnd = contents.tqfind( catTagClose, 0, false );
+    int catStart = contents.find( catTagOpen, 0, false ) + catTagOpen.length();
+    int catEnd = contents.find( catTagClose, 0, false );
 kdDebug() << "  catTagOpen = " << catTagOpen << ", catTagClose = " << catTagClose << ", start - end : " << catStart <<" - " << catEnd << endl;
     if ( catEnd > catStart ) {
       category = contents.mid( catStart, catEnd - catStart );
@@ -308,8 +308,8 @@ kdDebug() << "  catTagOpen = " << catTagOpen << ", catTagClose = " << catTagClos
       contents = contents.remove( catStart - catTagOpen.length(),
               catEnd - catStart + catTagClose.length() + catTagOpen.length() );
     }
-    int titleStart = contents.tqfind( titleTagOpen, 0, false ) + titleTagOpen.length();
-    int titleEnd = contents.tqfind( titleTagClose, 0, false );
+    int titleStart = contents.find( titleTagOpen, 0, false ) + titleTagOpen.length();
+    int titleEnd = contents.find( titleTagClose, 0, false );
 kdDebug() << "  titleTagOpen = " << titleTagOpen << ", titleTagClose = " << titleTagClose << ", start - end : " << titleStart <<" - " << titleEnd << endl;
     kdDebug() << "Title start and end: " << titleStart << ", " << titleEnd << endl;
     if ( titleEnd > titleStart ) {
diff --git a/kresources/blogging/xmlrpcjob.cpp b/kresources/blogging/xmlrpcjob.cpp
index f20dff875..9a89cf5ab 100644
--- a/kresources/blogging/xmlrpcjob.cpp
+++ b/kresources/blogging/xmlrpcjob.cpp
@@ -337,7 +337,7 @@ kdDebug()<<"Demarshalling element \"" << elem.text() <<"\"" << endl;
   else if ( typeName == "datetime" || typeName == "datetime.iso8601" ) {
 
     TQString text( typeElement.text() );
-    if ( text.tqfind( TQRegExp("^[0-9]{8,8}T") ) >= 0 ) {
+    if ( text.find( TQRegExp("^[0-9]{8,8}T") ) >= 0 ) {
       // It's in the format 20041120T...., so adjust it to correct
       // ISO 8601 Format 2004-11-20T..., else TQDateTime::fromString won't work:
       text = text.insert( 6, '-' );
diff --git a/kresources/caldav/preferences.cpp b/kresources/caldav/preferences.cpp
index 11de07e98..6eb87e450 100644
--- a/kresources/caldav/preferences.cpp
+++ b/kresources/caldav/preferences.cpp
@@ -218,16 +218,16 @@ TQString CalDavPrefs::getFullUrl() {
 
     safeURL = t.toString();
 
-    firstAt = safeURL.tqfind("@") + 1;
-    while (safeURL.tqfind("@", firstAt) != -1) {
-        safeURL.tqreplace(safeURL.tqfind("@", firstAt), 1, "%40");
+    firstAt = safeURL.find("@") + 1;
+    while (safeURL.find("@", firstAt) != -1) {
+        safeURL.replace(safeURL.find("@", firstAt), 1, "%40");
     }
 
     // Unencode the username, as Zimbra stupidly rejects the %40
-    safeURL.tqreplace("%40", "@");
+    safeURL.replace("%40", "@");
 
     // Encode any spaces, as libcaldav stupidly fails otherwise
-    safeURL.tqreplace(" ", "%20");
+    safeURL.replace(" ", "%20");
 
     return safeURL;
 }
@@ -245,16 +245,16 @@ TQString CalDavPrefs::getFullTasksUrl() {
 
     safeURL = t.toString();
 
-    firstAt = safeURL.tqfind("@") + 1;
-    while (safeURL.tqfind("@", firstAt) != -1) {
-        safeURL.tqreplace(safeURL.tqfind("@", firstAt), 1, "%40");
+    firstAt = safeURL.find("@") + 1;
+    while (safeURL.find("@", firstAt) != -1) {
+        safeURL.replace(safeURL.find("@", firstAt), 1, "%40");
     }
 
     // Unencode the username, as Zimbra stupidly rejects the %40
-    safeURL.tqreplace("%40", "@");
+    safeURL.replace("%40", "@");
 
     // Encode any spaces, as libcaldav stupidly fails otherwise
-    safeURL.tqreplace(" ", "%20");
+    safeURL.replace(" ", "%20");
 
     return safeURL;
 }
@@ -272,16 +272,16 @@ TQString CalDavPrefs::getFullJournalsUrl() {
 
     safeURL = t.toString();
 
-    firstAt = safeURL.tqfind("@") + 1;
-    while (safeURL.tqfind("@", firstAt) != -1) {
-        safeURL.tqreplace(safeURL.tqfind("@", firstAt), 1, "%40");
+    firstAt = safeURL.find("@") + 1;
+    while (safeURL.find("@", firstAt) != -1) {
+        safeURL.replace(safeURL.find("@", firstAt), 1, "%40");
     }
 
     // Unencode the username, as Zimbra stupidly rejects the %40
-    safeURL.tqreplace("%40", "@");
+    safeURL.replace("%40", "@");
 
     // Encode any spaces, as libcaldav stupidly fails otherwise
-    safeURL.tqreplace(" ", "%20");
+    safeURL.replace(" ", "%20");
 
     return safeURL;
 }
diff --git a/kresources/caldav/resource.cpp b/kresources/caldav/resource.cpp
index d828037bf..db4546d82 100644
--- a/kresources/caldav/resource.cpp
+++ b/kresources/caldav/resource.cpp
@@ -403,8 +403,8 @@ void ResourceCalDav::loadFinished() {
             // TODO: I don't know why, but some schedules on http://caldav-test.ioda.net/ (I used it for testing)
             // have some lines separated by single \r rather than \n or \r\n.
             // ICalFormat fails to parse that.
-            data.tqreplace("\r\n", "\n"); // to avoid \r\n becomes \n\n after the next line
-            data.tqreplace('\r', '\n');
+            data.replace("\r\n", "\n"); // to avoid \r\n becomes \n\n after the next line
+            data.replace('\r', '\n');
 
             log("trying to parse...");
             if (parseData(data)) {
@@ -451,8 +451,8 @@ void ResourceCalDav::loadFinished() {
             // TODO: I don't know why, but some schedules on http://caldav-test.ioda.net/ (I used it for testing)
             // have some lines separated by single \r rather than \n or \r\n.
             // ICalFormat fails to parse that.
-            tasksData.tqreplace("\r\n", "\n"); // to avoid \r\n becomes \n\n after the next line
-            tasksData.tqreplace('\r', '\n');
+            tasksData.replace("\r\n", "\n"); // to avoid \r\n becomes \n\n after the next line
+            tasksData.replace('\r', '\n');
 
             log("trying to parse...");
             if (parseTasksData(tasksData)) {
@@ -499,8 +499,8 @@ void ResourceCalDav::loadFinished() {
             // TODO: I don't know why, but some schedules on http://caldav-test.ioda.net/ (I used it for testing)
             // have some lines separated by single \r rather than \n or \r\n.
             // ICalFormat fails to parse that.
-            journalsData.tqreplace("\r\n", "\n"); // to avoid \r\n becomes \n\n after the next line
-            journalsData.tqreplace('\r', '\n');
+            journalsData.replace("\r\n", "\n"); // to avoid \r\n becomes \n\n after the next line
+            journalsData.replace('\r', '\n');
 
             log("trying to parse...");
             if (parseJournalsData(journalsData)) {
@@ -726,7 +726,7 @@ TQString ResourceCalDav::getICalString(const Incidence::List& inc) {
 
     // Get the iCal header and footer
     header = ical.toString(&loc);
-    int location = header.tqfind("END:VCALENDAR", 0, true);
+    int location = header.find("END:VCALENDAR", 0, true);
     footer = header.mid(location, 0xffffffff);
     header.remove("END:VCALENDAR");
 
@@ -740,13 +740,13 @@ TQString ResourceCalDav::getICalString(const Incidence::List& inc) {
     data = data + footer;
 
     // Remove any line feeds/carriage returns/white spaces from the UID field as they WILL break libcaldav
-    int uidPos = data.tqfind("UID:", 0) + 4;
-    int nextPos = data.tqfindRev("\n", data.tqfind(":", uidPos));
+    int uidPos = data.find("UID:", 0) + 4;
+    int nextPos = data.findRev("\n", data.find(":", uidPos));
     TQString uidField = data.mid(uidPos, nextPos-uidPos);
     data.remove(uidPos, nextPos-uidPos);
-    uidField.tqreplace("\n", "");
-    uidField.tqreplace("\r", "");
-    uidField.tqreplace(" ", "");
+    uidField.replace("\n", "");
+    uidField.replace("\r", "");
+    uidField.replace(" ", "");
     data.insert(uidPos, uidField);
     return data;
 }
@@ -888,11 +888,11 @@ bool ResourceCalDav::startWriting(const TQString& url, const TQString& tasksUrl,
         t->journalsAdded = "";
         t->journalsChanged = "";
         t->journalsDeleted = "";
-        if (getICalString(currentIncidence).tqcontains("BEGIN:VEVENT") > 0)
+        if (getICalString(currentIncidence).contains("BEGIN:VEVENT") > 0)
           t->added = getICalString(currentIncidence);
-        else if (getICalString(currentIncidence).tqcontains("BEGIN:VTODO") > 0)
+        else if (getICalString(currentIncidence).contains("BEGIN:VTODO") > 0)
           t->tasksAdded = getICalString(currentIncidence);
-        else if (getICalString(currentIncidence).tqcontains("BEGIN:VJOURNAL") > 0)
+        else if (getICalString(currentIncidence).contains("BEGIN:VJOURNAL") > 0)
           t->journalsAdded = getICalString(currentIncidence);
 
         writingQueuePush(t);
@@ -916,11 +916,11 @@ bool ResourceCalDav::startWriting(const TQString& url, const TQString& tasksUrl,
         t->journalsChanged = "";
         t->journalsDeleted = "";
 
-        if (getICalString(currentIncidence).tqcontains("BEGIN:VEVENT") > 0)
+        if (getICalString(currentIncidence).contains("BEGIN:VEVENT") > 0)
           t->changed = getICalString(currentIncidence);
-        else if (getICalString(currentIncidence).tqcontains("BEGIN:VTODO") > 0)
+        else if (getICalString(currentIncidence).contains("BEGIN:VTODO") > 0)
           t->tasksChanged = getICalString(currentIncidence);
-        else if (getICalString(currentIncidence).tqcontains("BEGIN:VJOURNAL") > 0)
+        else if (getICalString(currentIncidence).contains("BEGIN:VJOURNAL") > 0)
           t->journalsChanged = getICalString(currentIncidence);
 
         writingQueuePush(t);
@@ -944,11 +944,11 @@ bool ResourceCalDav::startWriting(const TQString& url, const TQString& tasksUrl,
         t->journalsChanged = "";
         t->journalsDeleted = "";
 
-        if (getICalString(currentIncidence).tqcontains("BEGIN:VEVENT") > 0)
+        if (getICalString(currentIncidence).contains("BEGIN:VEVENT") > 0)
           t->deleted = getICalString(currentIncidence);
-        else if (getICalString(currentIncidence).tqcontains("BEGIN:VTODO") > 0)
+        else if (getICalString(currentIncidence).contains("BEGIN:VTODO") > 0)
           t->tasksDeleted = getICalString(currentIncidence);
-        else if (getICalString(currentIncidence).tqcontains("BEGIN:VJOURNALS") > 0)
+        else if (getICalString(currentIncidence).contains("BEGIN:VJOURNALS") > 0)
           t->journalsDeleted = getICalString(currentIncidence);
 
         writingQueuePush(t);
diff --git a/kresources/carddav/preferences.cpp b/kresources/carddav/preferences.cpp
index 6511cfcb6..cf2cdbc5a 100644
--- a/kresources/carddav/preferences.cpp
+++ b/kresources/carddav/preferences.cpp
@@ -221,16 +221,16 @@ TQString CardDavPrefs::getFullUrl() {
 
     safeURL = t.toString();
 
-    firstAt = safeURL.tqfind("@") + 1;
-    while (safeURL.tqfind("@", firstAt) != -1) {
-        safeURL.tqreplace(safeURL.tqfind("@", firstAt), 1, "%40");
+    firstAt = safeURL.find("@") + 1;
+    while (safeURL.find("@", firstAt) != -1) {
+        safeURL.replace(safeURL.find("@", firstAt), 1, "%40");
     }
 
     // Unencode the username, as Zimbra stupidly rejects the %40
-    safeURL.tqreplace("%40", "@");
+    safeURL.replace("%40", "@");
 
     // Encode any spaces, as libcarddav stupidly fails otherwise
-    safeURL.tqreplace(" ", "%20");
+    safeURL.replace(" ", "%20");
 
     return safeURL;
 }
diff --git a/kresources/carddav/resource.cpp b/kresources/carddav/resource.cpp
index 9570d2b3c..4fb33af55 100644
--- a/kresources/carddav/resource.cpp
+++ b/kresources/carddav/resource.cpp
@@ -394,8 +394,8 @@ void ResourceCardDav::loadFinished() {
         TQString data = loader->data();
 
         if (!data.isNull() && !data.isEmpty()) {
-            data.tqreplace("\r\n", "\n"); // to avoid \r\n becomes \n\n after the next line
-            data.tqreplace('\r', '\n');
+            data.replace("\r\n", "\n"); // to avoid \r\n becomes \n\n after the next line
+            data.replace('\r', '\n');
 
             log("trying to parse...");
             if (parseData(data)) {
diff --git a/kresources/carddav/writer.cpp b/kresources/carddav/writer.cpp
index aed9ddb66..7141bf303 100644
--- a/kresources/carddav/writer.cpp
+++ b/kresources/carddav/writer.cpp
@@ -58,8 +58,8 @@ int CardDavWriter::runJob(runtime_info* RT) {
             res = pushObjects(mChanged, carddav_modify_object_by_uri, OK, RT);
         if (OK == res) {
             kdDebug() << "pushing deleted objects";
-            while (mDeleted.tqcontains("BEGIN:VCARD", TRUE) > 0) {
-                int endLocation = mDeleted.tqfind("END:VCARD", 0, TRUE);
+            while (mDeleted.contains("BEGIN:VCARD", TRUE) > 0) {
+                int endLocation = mDeleted.find("END:VCARD", 0, TRUE);
                 TQString deletedCurSeq = mDeleted.mid(0, endLocation+9);
                 mDeleted = mDeleted.remove(0, endLocation+9);
                 if (getUseURI() == false)
@@ -82,8 +82,8 @@ int CardDavWriter::runJob(runtime_info* RT) {
                 res = pushObjects(mChanged, carddav_add_object, OK, RT);
             if (OK == res) {
                 kdDebug() << "pushing deleted objects";
-                while (mDeleted.tqcontains("BEGIN:VCARD", TRUE) > 0) {
-                    int endLocation = mDeleted.tqfind("END:VCARD", 0, TRUE);
+                while (mDeleted.contains("BEGIN:VCARD", TRUE) > 0) {
+                    int endLocation = mDeleted.find("END:VCARD", 0, TRUE);
                     TQString deletedCurSeq = mDeleted.mid(0, endLocation+9);
                     mDeleted = mDeleted.remove(0, endLocation+9);
                     if (getUseURI() == false)
diff --git a/kresources/egroupware/debugdialog.cpp b/kresources/egroupware/debugdialog.cpp
index 1660c85e0..57a6479f4 100644
--- a/kresources/egroupware/debugdialog.cpp
+++ b/kresources/egroupware/debugdialog.cpp
@@ -109,9 +109,9 @@ void DebugDialog::slotUser2()
 void DebugDialog::addText( const TQString &text, Type type )
 {
   TQString htmlCode( text );
-  htmlCode.tqreplace( "<", "&lt;" );
-  htmlCode.tqreplace( ">", "&gt;" );
-  htmlCode.tqreplace( "\n", "<br>" );
+  htmlCode.replace( "<", "&lt;" );
+  htmlCode.replace( ">", "&gt;" );
+  htmlCode.replace( "\n", "<br>" );
 
   mMessages.append( text );
   if ( type == Input )
diff --git a/kresources/egroupware/kabc_resourcexmlrpc.cpp b/kresources/egroupware/kabc_resourcexmlrpc.cpp
index 2e5053240..a02f568af 100644
--- a/kresources/egroupware/kabc_resourcexmlrpc.cpp
+++ b/kresources/egroupware/kabc_resourcexmlrpc.cpp
@@ -479,7 +479,7 @@ void ResourceXMLRPC::writeContact( const Addressee &addr, TQMap<TQString, TQVari
   TQMap<TQString, TQVariant> catMap;
   int counter = 0;
   for ( catIt = categories.begin(); catIt != categories.end(); ++catIt ) {
-    TQMap<TQString, int>::ConstIterator it = mCategoryMap.tqfind( *catIt );
+    TQMap<TQString, int>::ConstIterator it = mCategoryMap.find( *catIt );
     if ( it == mCategoryMap.end() ) // new category
       catMap.insert( TQString::number( counter-- ), *catIt );
     else
@@ -575,9 +575,9 @@ void ResourceXMLRPC::writeContact( const Addressee &addr, TQMap<TQString, TQVari
   const TQStringList customFields = addr.customs();
   TQStringList::ConstIterator it;
   for ( it = customFields.begin(); it != customFields.end(); ++it ) {
-    int colon = (*it).tqfind( ":" );
+    int colon = (*it).find( ":" );
     TQString identifier = (*it).left( colon );
-    int dash = identifier.tqfind( "-" );
+    int dash = identifier.find( "-" );
     TQString app = identifier.left( dash );
     TQString name = identifier.mid( dash + 1 );
     TQString value = (*it).mid( colon + 1 );
@@ -752,7 +752,7 @@ void ResourceXMLRPC::loadCategoriesFinished( const TQValueList<TQVariant> &mapLi
     mCategoryMap.insert( it.data().toString(), it.key().toInt() );
 
     TQStringList categories = prefs->customCategories();
-    if ( categories.tqfind( it.data().toString() ) == categories.end() )
+    if ( categories.find( it.data().toString() ) == categories.end() )
       categories.append( it.data().toString() );
 
     prefs->mCustomCategories = categories;
diff --git a/kresources/egroupware/kcal_resourcexmlrpc.cpp b/kresources/egroupware/kcal_resourcexmlrpc.cpp
index 177ce9def..25f4c1f2d 100644
--- a/kresources/egroupware/kcal_resourcexmlrpc.cpp
+++ b/kresources/egroupware/kcal_resourcexmlrpc.cpp
@@ -651,7 +651,7 @@ void ResourceXMLRPC::loadEventCategoriesFinished( const TQValueList<TQVariant> &
   for ( it = map.begin(); it != map.end(); ++it ) {
     mEventCategoryMap.insert( it.data().toString(), it.key().toInt() );
 
-    if ( prefs.mCustomCategories.tqfind( it.data().toString() ) == prefs.mCustomCategories.end() )
+    if ( prefs.mCustomCategories.find( it.data().toString() ) == prefs.mCustomCategories.end() )
       prefs.mCustomCategories.append( it.data().toString() );
   }
 
@@ -756,7 +756,7 @@ void ResourceXMLRPC::loadTodoCategoriesFinished( const TQValueList<TQVariant> &m
   for ( it = map.begin(); it != map.end(); ++it ) {
     mTodoCategoryMap.insert( it.data().toString(), it.key().toInt() );
 
-    if ( prefs.mCustomCategories.tqfind( it.data().toString() ) == prefs.mCustomCategories.end() )
+    if ( prefs.mCustomCategories.find( it.data().toString() ) == prefs.mCustomCategories.end() )
       prefs.mCustomCategories.append( it.data().toString() );
   }
 
@@ -964,7 +964,7 @@ void ResourceXMLRPC::writeEvent( Event *event, TQMap<TQString, TQVariant> &args
   TQMap<TQString, TQVariant> catMap;
   int counter = 0;
   for ( catIt = categories.begin(); catIt != categories.end(); ++catIt ) {
-    TQMap<TQString, int>::Iterator it = mEventCategoryMap.tqfind( *catIt );
+    TQMap<TQString, int>::Iterator it = mEventCategoryMap.find( *catIt );
     if ( it == mEventCategoryMap.end() ) // new category
       catMap.insert( TQString::number( counter-- ), *catIt );
     else
@@ -1099,7 +1099,7 @@ void ResourceXMLRPC::writeTodo( Todo* todo, TQMap<TQString, TQVariant>& args )
   TQStringList::ConstIterator catIt;
   int counter = 0;
   for ( catIt = categories.begin(); catIt != categories.end(); ++catIt ) {
-    TQMap<TQString, int>::Iterator it = mTodoCategoryMap.tqfind( *catIt );
+    TQMap<TQString, int>::Iterator it = mTodoCategoryMap.find( *catIt );
     if ( it == mTodoCategoryMap.end() )
       catMap.insert( TQString::number( counter-- ), *catIt );
     else
diff --git a/kresources/egroupware/todostatemapper.cpp b/kresources/egroupware/todostatemapper.cpp
index 2539d23aa..ed87e9db6 100644
--- a/kresources/egroupware/todostatemapper.cpp
+++ b/kresources/egroupware/todostatemapper.cpp
@@ -114,7 +114,7 @@ void TodoStateMapper::addTodoState( const TQString &uid, int localState, const T
 
 TQString TodoStateMapper::remoteState( const TQString &uid, int localState )
 {
-  if ( mTodoStateMap.tqfind( uid ) == mTodoStateMap.end() )
+  if ( mTodoStateMap.find( uid ) == mTodoStateMap.end() )
     kdError() << "TodoStateMapper: no entry for " << uid << " found" << endl;
 
   TodoStateMapEntry entry = mTodoStateMap[ uid ];
@@ -139,7 +139,7 @@ int TodoStateMapper::toLocal( const TQString &remoteState )
     return 100;
   else {
     TQString number( remoteState );
-    number.tqreplace( "%", "" );
+    number.replace( "%", "" );
     return number.toInt();
   }
 }
diff --git a/kresources/egroupware/xmlrpciface.cpp b/kresources/egroupware/xmlrpciface.cpp
index 4a46a37eb..59b467bb2 100644
--- a/kresources/egroupware/xmlrpciface.cpp
+++ b/kresources/egroupware/xmlrpciface.cpp
@@ -202,10 +202,10 @@ TQString Query::marshal( const TQVariant &arg ) const
       case TQVariant::CString:
         {
         TQString result = arg.toString();
-        result = result.tqreplace( "&", "&amp;" );
-        result = result.tqreplace( "\"", "&quot;" );
-        result = result.tqreplace( "<", "&lt;" );
-        result = result.tqreplace( ">", "&gt;" );
+        result = result.replace( "&", "&amp;" );
+        result = result.replace( "\"", "&quot;" );
+        result = result.replace( "<", "&lt;" );
+        result = result.replace( ">", "&gt;" );
         return "<value><string>" + result + "</string></value>\r\n";
         }
       case TQVariant::Int:
diff --git a/kresources/exchange/dateset.cpp b/kresources/exchange/dateset.cpp
index e6393afa0..b26229022 100644
--- a/kresources/exchange/dateset.cpp
+++ b/kresources/exchange/dateset.cpp
@@ -48,7 +48,7 @@ void DateSet::add( TQDate const& date )
     mDates->insert( 0, new TQPair<TQDate,TQDate>( date, date ) );
     return;
   } 
-  int i = tqfind( date );
+  int i = find( date );
   mDates->insert( i, new TQPair<TQDate,TQDate>( date, date ) );
   tryMerge( i );
   tryMerge( i-1 );
@@ -60,7 +60,7 @@ void DateSet::add( TQDate const& from, TQDate const& to )
     mDates->insert( 0, new TQPair<TQDate,TQDate>( from, to ) );
     return;
   } 
-  uint i = tqfind( from );
+  uint i = find( from );
   kdDebug() << "Adding range at position " << i << endl;
   mDates->insert( i, new TQPair<TQDate,TQDate>( from, to ) );
 
@@ -87,7 +87,7 @@ void DateSet::remove( TQDate const& date )
     return;
   } 
 
-  uint i = tqfind( date );
+  uint i = find( date );
   if ( i == mDates->count() )
     return;
 
@@ -117,7 +117,7 @@ void DateSet::remove( TQDate const& from, TQDate const& to )
     return;
   } 
   
-  uint i = tqfind( from );
+  uint i = find( from );
   if ( i == mDates->count() )
     return;
   
@@ -155,13 +155,13 @@ void DateSet::remove( TQDate const& from, TQDate const& to )
   }
 }
 
-bool DateSet::tqcontains( TQDate const& date )
+bool DateSet::contains( TQDate const& date )
 {
   if (mDates->isEmpty()) {
     return false;
   } 
 
-  uint i = tqfind( date );
+  uint i = find( date );
 //  kdDebug() << "contains looking for " << date.toString() << " at range " << i << endl;
   if ( i == mDates->count() )
     return false;
@@ -172,13 +172,13 @@ bool DateSet::tqcontains( TQDate const& date )
 }
 
 // returns true if and only if the whole range is in the set
-bool DateSet::tqcontains( TQDate const& from, TQDate const& to )
+bool DateSet::contains( TQDate const& from, TQDate const& to )
 {
   if (mDates->isEmpty()) {
     return false;
   } 
 
-  uint i = tqfind( from );
+  uint i = find( from );
   if ( i == mDates->count() )
     return false;
 
@@ -192,7 +192,7 @@ bool DateSet::tqcontains( TQDate const& from, TQDate const& to )
 // If mDates is empty, return 0.
 // If date is later than the last item in mDates, return mDates->count()
 
-int DateSet::tqfind( TQDate const& date )
+int DateSet::find( TQDate const& date )
 {
   if ( mDates->isEmpty() )
     return 0;
diff --git a/kresources/exchange/dateset.h b/kresources/exchange/dateset.h
index 99c02a5c7..693aa4a31 100644
--- a/kresources/exchange/dateset.h
+++ b/kresources/exchange/dateset.h
@@ -34,8 +34,8 @@ class DateRange {
     DateRange( TQDate const& from, TQDate const& to )
 	    : mFrom( from ), mTo( to ) { }
     bool operator< ( const DateRange& r ) { return mFrom < r.from(); }
-    bool tqcontains( TQDate const& d ) { return ( mFrom <= d && d <= mTo ); }
-    bool tqcontains( TQDate const& from, TQDate const& to ) { return ( mFrom <= from && to <= mTo ); }
+    bool contains( TQDate const& d ) { return ( mFrom <= d && d <= mTo ); }
+    bool contains( TQDate const& from, TQDate const& to ) { return ( mFrom <= from && to <= mTo ); }
 
     TQDate from() { return mFrom; }
     TQDate to() { return mTo; }
@@ -68,11 +68,11 @@ class DateSet {
     void remove( TQDate const& date );
     void remove( TQDate const& from, TQDate const& to );
     
-    bool tqcontains( TQDate const& date );
+    bool contains( TQDate const& date );
     // returns true if and only if the whole range is in the set
-    bool tqcontains( TQDate const& from, TQDate const& to );
+    bool contains( TQDate const& from, TQDate const& to );
 
-    int tqfind( TQDate const &date );
+    int find( TQDate const &date );
     void print();
 
   protected:
diff --git a/kresources/exchange/resourceexchange.cpp b/kresources/exchange/resourceexchange.cpp
index de9158755..b58a750f2 100644
--- a/kresources/exchange/resourceexchange.cpp
+++ b/kresources/exchange/resourceexchange.cpp
@@ -233,7 +233,7 @@ void ResourceExchange::slotMonitorNotify( const TQValueList<long>& IDs, const TQ
    * 3. Event modified that we have in cache
    * 4. Something else happened that isn't relevant to us
    * Update cache, then notify whoever's watching us
-   * We may be able to tqfind (1) and (3) by looking at the
+   * We may be able to find (1) and (3) by looking at the
    *   DAV:getlastmodified property
    * (2) is trickier: we might have to resort to checking
    * all uids in the cache
@@ -298,7 +298,7 @@ void ResourceExchange::changeIncidence( Incidence *incidence )
   kdDebug() << "ResourceExchange::changeIncidence(): "
             << incidence->summary() << endl;
 
-  if ( mChangedIncidences.tqfind( incidence ) == mChangedIncidences.end() ) {
+  if ( mChangedIncidences.find( incidence ) == mChangedIncidences.end() ) {
     mChangedIncidences.append( incidence );
   }
 }
@@ -481,7 +481,7 @@ Event::List ResourceExchange::rawEventsForDate( const TQDate &qd,
   // kdDebug() << "Now is " << now.toString() << endl;
   // kdDebug() << "mDates: " << mDates << endl;
   TQDate start = TQDate( qd.year(), qd.month(), 1 ); // First day of month
-  if ( mDates && ( !mDates->tqcontains( start ) ||
+  if ( mDates && ( !mDates->contains( start ) ||
                    (*mCacheDates)[start].secsTo( now ) > mCachedSeconds ) ) {
     TQDate end = start.addMonths( 1 ).addDays( -1 ); // Last day of month
     // Get events that occur in this period from the cache
@@ -505,7 +505,7 @@ Event::List ResourceExchange::rawEventsForDate( const TQDate &qd,
     // are really new.
     Event::List eventsAfter = mCache->rawEvents();
     for ( it = eventsAfter.begin(); it != eventsAfter.end(); ++it ) {
-      if ( eventsBefore.tqfind( *it ) == eventsBefore.end() ) {
+      if ( eventsBefore.find( *it ) == eventsBefore.end() ) {
         // it's a new event downloaded by downloadSynchronous -> install observer
         (*it)->registerObserver( this );
       }
diff --git a/kresources/featureplan/kcal_resourcefeatureplan.cpp b/kresources/featureplan/kcal_resourcefeatureplan.cpp
index 692a85846..e108247fa 100644
--- a/kresources/featureplan/kcal_resourcefeatureplan.cpp
+++ b/kresources/featureplan/kcal_resourcefeatureplan.cpp
@@ -119,7 +119,7 @@ void ResourceFeaturePlan::insertCategories( const Category::List &categories,
       Todo *todo = new Todo;
 
       TQString summary = f->summary();
-      int pos = summary.tqfind( '\n' );
+      int pos = summary.find( '\n' );
       if ( pos > 0 ) summary = summary.left( pos ) + "...";
       todo->setSummary( summary );
       
diff --git a/kresources/groupdav/groupdavglobals.cpp b/kresources/groupdav/groupdavglobals.cpp
index ed1ad09b8..10716000d 100644
--- a/kresources/groupdav/groupdavglobals.cpp
+++ b/kresources/groupdav/groupdavglobals.cpp
@@ -96,7 +96,7 @@ bool GroupDavGlobals::getFolderHasSubs( const TQDomNode &folderNode )
 KIO::Job *GroupDavGlobals::createListFoldersJob( const KURL &url )
 {
   TQDomDocument doc;
-  TQDomElement root = WebdavHandler::addDavElement(  doc, doc, "d:proptqfind" );
+  TQDomElement root = WebdavHandler::addDavElement(  doc, doc, "d:propfind" );
   TQDomElement prop = WebdavHandler::addElement(  doc, root, "d:prop" );
   WebdavHandler::addElement( doc, prop, "d:displayname" );
   WebdavHandler::addElement( doc, prop, "d:resourcetype" );
@@ -110,7 +110,7 @@ KIO::Job *GroupDavGlobals::createListFoldersJob( const KURL &url )
 KIO::TransferJob *GroupDavGlobals::createListItemsJob( const KURL &url )
 {
   TQDomDocument doc;
-  TQDomElement root = WebdavHandler::addDavElement(  doc, doc, "proptqfind" );
+  TQDomElement root = WebdavHandler::addDavElement(  doc, doc, "propfind" );
   TQDomElement prop = WebdavHandler::addDavElement(  doc, root, "prop" );
   WebdavHandler::addDavElement( doc, prop, "getetag" );
 //  WebdavHandler::addDavElement( doc, prop, "getcontenttype" );
diff --git a/kresources/groupware/kabc_resourcegroupwareconfig.cpp b/kresources/groupware/kabc_resourcegroupwareconfig.cpp
index 7232fd1e0..efdc7ec42 100644
--- a/kresources/groupware/kabc_resourcegroupwareconfig.cpp
+++ b/kresources/groupware/kabc_resourcegroupwareconfig.cpp
@@ -193,7 +193,7 @@ void ResourceGroupwareConfig::updateAddressBookView()
   Groupware::AddressBook::List::ConstIterator abIt;
   for ( abIt = addressBooks.begin(); abIt != addressBooks.end(); ++abIt ) {
     AddressBookItem *item = new AddressBookItem( mAddressBookView, *abIt );
-    if ( selectedRead.tqfind( (*abIt).id ) != selectedRead.end() )
+    if ( selectedRead.find( (*abIt).id ) != selectedRead.end() )
       item->setOn( true );
 
     mAddressBookBox->insertItem( (*abIt).name );
diff --git a/kresources/groupwise/kabc_resourcegroupwise.cpp b/kresources/groupwise/kabc_resourcegroupwise.cpp
index 6ac8a880a..e6570b46e 100644
--- a/kresources/groupwise/kabc_resourcegroupwise.cpp
+++ b/kresources/groupwise/kabc_resourcegroupwise.cpp
@@ -665,13 +665,13 @@ bool ResourceGroupwise::shouldFetchSystemAddressBook()
 {
   
   TQStringList ids = mPrefs->readAddressBooks();
-  return ( appIsWhiteListedForSAB() && ids.tqfind( mPrefs->systemAddressBook() ) != ids.end() );
+  return ( appIsWhiteListedForSAB() && ids.find( mPrefs->systemAddressBook() ) != ids.end() );
 }
 
 bool ResourceGroupwise::shouldFetchUserAddressBooks()
 {
   TQStringList ids = mPrefs->readAddressBooks();
-  return ( ids.count() > 1 || ids.tqfind( mPrefs->systemAddressBook() ) == ids.end() );
+  return ( ids.count() > 1 || ids.find( mPrefs->systemAddressBook() ) == ids.end() );
 }
 
 KURL ResourceGroupwise::createAccessUrl( BookType bookType, AccessMode mode, unsigned long lastSequenceNumber, unsigned long lastPORebuildTime )
@@ -732,7 +732,7 @@ void ResourceGroupwise::storeDeltaInfo()
 
 bool ResourceGroupwise::appIsWhiteListedForSAB()
 {
-  if ( !mPrefs->systemAddressBookWhiteList().tqcontains( tqApp->argv()[ 0 ] ) )
+  if ( !mPrefs->systemAddressBookWhiteList().contains( tqApp->argv()[ 0 ] ) )
   {
     kdDebug() << "Application " << tqApp->argv()[ 0 ] << " is _blacklisted_ to load the SAB" << endl;
     return false;
